#!/bin/bash
## Data: 06-10-12
## Script: Faz instalacao AST.
## Version: 1.0
## Autor Thiago Anselmo

###############################################################################
########################## Variaveis Global ####################################
###############################################################################

DIR_USER="/root"

###############################################################################
########################## Includes Global ####################################
###############################################################################

source $DIR_USER/include/verifica.sh
source $DIR_USER/include/install_apt.sh
source $DIR_USER/include/install_source.sh

###############################################################################
########################## Verificao do DIALOG ##############################
###############################################################################

clear
#echo -e "\n\e[031;1mAguarde estamos verificando se voce tem o DIALOG para dar inicio!!\e[m"
#sleep 2

VERIFICA_DIALOG

###############################################################################
########################## Bloco Inicial Script ###############################
###############################################################################

dialog \
--backtitle "Instalacao Asterisk " \
--msgbox 'Scrit criado para ajudar na instalacao do asterisk.
Alguma duvida, sugestao e melhoria entre em contato. 

Skype: ensa.tecnologia 
Email: thiagoo.anselmoo@gmail.com

Obrigado.' \
13 100  

opcao=$( \
	dialog \
	--stdout \
    	--backtitle "Instalacao Asterisk " \
	--radiolist 'Tipo de Instalacao' \
	0 0 0 \
	Pacote 'Instalacao pelo apt-get' off \
	Source 'Baixar e compilar asterisk + dahdi' on \
)

case $opcao in

Source)
	INSTALL_SOURCE ;;
Pacote)
	INSTALL_APT && VERIFICA_AST_APT ;;
esac

